Index: c/src/librdbg/configure.in
===================================================================
--- c/src/librdbg/configure.in	(revision cfa18519111afa5e8d8d3276c4b1df1662cd7279)
+++ c/src/librdbg/configure.in	(revision 39e6bbe1aa6212cfad9f1424a5e3e0394aeec1f9)
@@ -60,5 +60,5 @@
 src/Makefile
 src/i386/Makefile
-src/i386/pc386/Makefile
+src/i386/any/Makefile
 src/powerpc/Makefile
 src/powerpc/mcp750/Makefile
Index: c/src/librdbg/src/i386/Makefile.am
===================================================================
--- c/src/librdbg/src/i386/Makefile.am	(revision cfa18519111afa5e8d8d3276c4b1df1662cd7279)
+++ c/src/librdbg/src/i386/Makefile.am	(revision 39e6bbe1aa6212cfad9f1424a5e3e0394aeec1f9)
@@ -6,5 +6,5 @@
 ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
 
-SUBDIRS = pc386
+SUBDIRS = any
 
 EXTRA_DIST = \
Index: c/src/librdbg/src/i386/any/Makefile.am
===================================================================
--- c/src/librdbg/src/i386/any/Makefile.am	(revision cfa18519111afa5e8d8d3276c4b1df1662cd7279)
+++ c/src/librdbg/src/i386/any/Makefile.am	(revision 39e6bbe1aa6212cfad9f1424a5e3e0394aeec1f9)
@@ -61,5 +61,5 @@
 CLEANFILES += $(LIB) $(H_FILES) $(GEN_C_FILES)
 
-FRONTEND = \"$(RTEMS_CPU)/@RTEMS_BSP@/remdeb_f.x\"
+FRONTEND = \"$(RTEMS_CPU)/any/remdeb_f.x\"
 
 $(PROJECT_RELEASE)/lib/$(LIBNAME)$(LIBVARIANT).a: $(LIB)
Index: src/librdbg/src/i386/pc386/Makefile.am
===================================================================
--- c/src/librdbg/src/i386/pc386/Makefile.am	(revision cfa18519111afa5e8d8d3276c4b1df1662cd7279)
+++ 	(revision )
@@ -1,98 +1,0 @@
-##
-##  $Id$
-##
-
-AUTOMAKE_OPTIONS = foreign 1.4
-
-VPATH = @srcdir@:@srcdir@/..:@srcdir@/../..
-
-LIBNAME = librdbg
-LIB = ${ARCH}/${LIBNAME}.a
-
-# C and C++ source names, if any, go here -- minus the .c or .cc
-C_FILES = rdbg.c servcon.c servbkpt.c servrpc.c excep.c excep_f.c servtgt.c \
-    servtsp.c servutil.c _servtgt.c rdbg_f.c ptrace.c
-C_O_FILES = $(C_FILES:%.c=${ARCH}/%.o)
-
-# Asm source names, if any, go here -- minus the .s 
-S_FILES = rdbg_cpu_asm.S
-S_O_FILES = $(S_FILES:%.S=${ARCH}/%.o)
-
-# Generated C source names, if any, go here -- minus the .c
-GEN_C_FILES = remdeb_xdr.c remdeb_svc.c
-GEN_C_O_FILES = $(GEN_C_PIECES:%.c=${ARCH}/%.o)
-
-# H source names, if any, go here -- minus the .h
-H_FILES = remdeb.h
-
-# X source names
-X_FILES = remdeb.x remdeb_f.x
-
-SRCS = $(C_FILES) $(S_FILES) $(GEN_C_FILES) $(H_FILES)
-OBJS = $(GEN_C_O_FILES) $(C_O_FILES) $(S_O_FILES)
-
-RPCGEN = @RPCGEN@
-AWK = @AWK@
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../../../automake/lib.am
-
-PREINSTALL_FILES = \
-$(PROJECT_INCLUDE)/rdbg \
-$(PROJECT_INCLUDE)/rdbg/remdeb.h
-
-$(PROJECT_INCLUDE)/rdbg:
-	@$(mkinstalldirs) $@
-
-TMPINSTALL_FILES += \
-$(PROJECT_RELEASE)/lib/$(LIBNAME)$(LIBVARIANT).a
-
-#
-# Add local stuff here using +=
-#
-
-#
-# Add your list of files to delete here.  The config files
-#  already know how to delete some stuff, so you may want
-#  to just run 'make clean' first to see what gets missed.
-#  'make clobber' already includes 'make clean'
-#
-
-CLEANFILES += $(LIB) $(H_FILES) $(GEN_C_FILES)
-
-FRONTEND = \"$(RTEMS_CPU)/@RTEMS_BSP@/remdeb_f.x\"
-
-$(PROJECT_RELEASE)/lib/$(LIBNAME)$(LIBVARIANT).a: $(LIB)
-	$(INSTALL_DATA) $< $@
-
-all: ${ARCH} $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
-
-$(LIB): ${OBJS}
-	$(make-library)
-
-remdeb.h: $(X_FILES)
-	@rm -f $@
-	( pwd=`pwd`; cd $(srcdir)/../..; \
-	$(RPCGEN) -h -DFRONTEND=$(FRONTEND) \
-	  -o $$pwd/$@ remdeb.x )
-
-$(PROJECT_INCLUDE)/rdbg/remdeb.h: remdeb.h
-	$(INSTALL_DATA) $< $@
-
-remdeb_xdr.c: $(X_FILES)
-	@rm -f $@
-	( pwd=`pwd`; cd $(srcdir)/../..; \
-	$(RPCGEN) -c -DFRONTEND=$(FRONTEND) \
-	  -o $$pwd/$@ remdeb.x )
-
-remdeb_svc.c: $(X_FILES)
-	@rm -f $@ tmpSvc.c
-	( pwd=`pwd`; cd $(srcdir)/../..; \
-	$(RPCGEN) -s udp -DFRONTEND=$(FRONTEND) \
-	  -o $$pwd/tmpSvc.c remdeb.x )
-	$(AWK) -f $(srcdir)/../../awk.svc THEPROG="remdeb.h" tmpSvc.c >$@
-	@rm -f tmpSvc.c
-
-EXTRA_DIST = remdeb_f.x
-
-include $(top_srcdir)/../../../automake/local.am
Index: src/librdbg/src/i386/pc386/remdeb_f.x
===================================================================
--- c/src/librdbg/src/i386/pc386/remdeb_f.x	(revision cfa18519111afa5e8d8d3276c4b1df1662cd7279)
+++ 	(revision )
@@ -1,59 +1,0 @@
-/*
- **************************************************************************
- *
- * Component =   rdblib
- * 
- * Synopsis  =   remdeb_f.x
- *
- * $Id$
- *
- **************************************************************************
- */
-
-struct xdr_regs
-{
-  unsigned int  tabreg[19];
-};
-
-#ifdef RPC_HDR
-
-%/* now define register macros to apply to xdr_reg struct */
-%
-%#define GS     0
-%#define FS     1
-%#define ES     2
-%#define DS     3
-%#define EDI    4
-%#define ESI    5
-%#define EBP    6
-%#define ESP    7
-%#define EBX    8
-%#define EDX    9
-%#define ECX    10
-%#define EAX    11
-%#define TRAPNO 12
-%#define ERR    13
-%#define EIP    14
-%#define CS     15
-%#define EFL    16
-%#define UESP   17
-%#define SS     18
-%
-%#define REG_PC tabreg[EIP]     /* PC (eip) register offset */
-%#define REG_SP tabreg[UESP]    /* SP (uesp) register offset */
-%#define REG_FP tabreg[EBP]     /* FP (ebp) register offset */
-
-%/* now define the BREAKPOINT mask technique to a long word */
-%#define SET_BREAK(l)   ((l&0xFFFFFF00) | 0xCC) 
-%#define IS_BREAK(l)    (((l) & 0xFF) == 0xCC)
-%#define ORG_BREAK(c,p) (((c) & 0xFFFFFF00) | ((p) & 0xFF))
-%#define IS_STEP(regs)  (regs.tabreg[TRAPNO] == 1) /* was step and not break */
-%#define BREAK_ADJ      1       /* must subtract one from address after bp */
-%#define BREAK_SIZE     1       /* Breakpoint occupies one byte */
-
-%#define TARGET_PROC_TYPE  0
-
-#endif
-
-
-
